using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace PSTW_CentralSystem.Areas.IT.Controllers
{
    [Area("IT")]
    [Authorize]
    public class ApprovalDashboardController : Controller
    {
        public IActionResult Approval()
        {
            return View(); // ~/Areas/IT/Views/ApprovalDashboard/Approval.cshtml
        }

        public IActionResult Create()
        {
            return View(); // ~/Areas/IT/Views/ApprovalDashboard/Create.cshtml
        }
        public IActionResult MyRequests()
        {
            return View(); // ~/Areas/IT/Views/ApprovalDashboard/MyRequests.cshtml
        }
        public IActionResult Admin()
        {
            return View(); // ~/Areas/IT/Views/ApprovalDashboard/MyRequests.cshtml
        }
        public IActionResult RequestReview(int statusId)
        {
            ViewBag.StatusId = statusId;
            return View(); // ~/Areas/IT/Views/ApprovalDashboard/RequestReview.cshtml
        }
        public IActionResult SectionB()
        {
            return View();
        }

        public IActionResult Edit()
        {
            return View();
        }

        public IActionResult SectionBEdit()
        {
            return View();
        }
    }
}
